Hide 'Indicator Application' from Startup Applications

Bug #1637379 reported by Jeremy Bicha on 2016-10-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
indicator-application (Ubuntu)
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned

Bug Description

Impact
======
Ubuntu still ships the Startup Applications app.

System autostart files like 'Indicator Application' should not show up in this app as we don't want users to unintentionally disable these services that easily.

Test Case
=========
Open Startup Applications and check for 'Indicator Application'

Regression Potential
====================
This should be safe. We've been setting NoDisplay=true for stuff in /etc/xdg/autostart/ for years.

Related branches

Jeremy Bicha (jbicha) wrote :
Jeremy Bicha (jbicha) on 2016-10-28
Changed in indicator-application (Ubuntu Xenial):
importance: Undecided → Low
status: New → Triaged
Changed in indicator-application (Ubuntu Yakkety):
importance: Undecided → Low
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-application - 12.10.1+17.04.20161028-0ubuntu1

---------------
indicator-application (12.10.1+17.04.20161028-0ubuntu1) zesty; urgency=medium

  * Hide 'Indicator Application' from Startup Applications (LP:
    #1637379) (LP: #1637379)

 -- Jeremy Bicha <email address hidden> Fri, 28 Oct 2016 03:48:13 +0000

Changed in indicator-application (Ubuntu):
status: Triaged → Fix Released
Jeremy Bicha (jbicha) on 2017-01-20
Changed in indicator-application (Ubuntu Xenial):
status: Triaged → In Progress
Changed in indicator-application (Ubuntu Yakkety):
status: Triaged → In Progress

Hello Jeremy, or anyone else affected,

Accepted indicator-application into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/indicator-application/12.10.1+16.10.20170120-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in indicator-application (Ubuntu Yakkety):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in indicator-application (Ubuntu Xenial):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Jeremy, or anyone else affected,

Accepted indicator-application into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/indicator-application/12.10.1+16.04.20170120-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Jeremy Bicha (jbicha) wrote :

I installed the proposed indicator-application on Ubuntu (Unity) 16.04 and 16.10 and confirmed that 'Indicator Application' is no longer visible in the Startup Applications app.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-application - 12.10.1+16.10.20170120-0ubuntu1

---------------
indicator-application (12.10.1+16.10.20170120-0ubuntu1) yakkety; urgency=medium

  * Hide 'Indicator Application' from Startup Applications (LP:
    #1637379)

 -- Jeremy Bicha <email address hidden> Fri, 20 Jan 2017 20:12:19 +0000

Changed in indicator-application (Ubuntu Yakkety):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for indicator-application has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-application - 12.10.1+16.04.20170120-0ubuntu1

---------------
indicator-application (12.10.1+16.04.20170120-0ubuntu1) xenial; urgency=medium

  * Hide 'Indicator Application' from Startup Applications (LP: #1637379

 -- Jeremy Bicha <email address hidden> Fri, 20 Jan 2017 19:13:40 +0000

Changed in indicator-application (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments